-- phpMyAdmin SQL Dump
-- version 4.9.2
-- https://www.phpmyadmin.net/
--
-- Host: 127.0.0.1
-- Generation Time: May 03, 2023 at 03:38 PM
-- Server version: 10.4.10-MariaDB
-- PHP Version: 7.3.12

SET SQL_MODE = "NO_AUTO_VALUE_ON_ZERO";
SET AUTOCOMMIT = 0;
START TRANSACTION;
SET time_zone = "+00:00";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8mb4 */;

--
-- Database: `idsysev`
--

-- --------------------------------------------------------

--
-- Table structure for table `evidencije`
--

CREATE TABLE `evidencije` (
  `ID` int(11) NOT NULL,
  `IDKorisnika` int(11) NOT NULL,
  `Vrijeme` datetime NOT NULL,
  `TerminalID` int(11) NOT NULL,
  `tagID` varchar(16) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `korisnici`
--

CREATE TABLE `korisnici` (
  `IDKorisnika` int(11) NOT NULL,
  `Prezime` varchar(25) DEFAULT NULL,
  `Ime` varchar(25) DEFAULT NULL,
  `TagID` varchar(16) NOT NULL,
  `IDOrgJed` int(11) NOT NULL,
  `Aktivan` tinyint(1) NOT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

-- --------------------------------------------------------

--
-- Table structure for table `orgjedinice`
--

CREATE TABLE `orgjedinice` (
  `IDOrgJed` int(11) NOT NULL,
  `NazivOrgJed` varchar(100) DEFAULT NULL,
  `IDRod` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `orgjedinice`
--

INSERT INTO `orgjedinice` (`IDOrgJed`, `NazivOrgJed`, `IDRod`) VALUES
(1, 'ETF', NULL),
(2, 'ETF - MASTER - ELEKTRONIKA', 1);

-- --------------------------------------------------------

--
-- Table structure for table `terminali`
--

CREATE TABLE `terminali` (
  `TerminalID` int(11) NOT NULL,
  `Adresa` int(11) NOT NULL,
  `Naziv` varchar(100) DEFAULT NULL,
  `Tip` int(11) DEFAULT NULL
) ENGINE=InnoDB DEFAULT CHARSET=utf8mb4;

--
-- Dumping data for table `terminali`
--

INSERT INTO `terminali` (`TerminalID`, `Adresa`, `Naziv`, `Tip`) VALUES
(1, 1, 'Sala L1', NULL);

--
-- Indexes for dumped tables
--

--
-- Indexes for table `evidencije`
--
ALTER TABLE `evidencije`
  ADD PRIMARY KEY (`ID`);

--
-- Indexes for table `korisnici`
--
ALTER TABLE `korisnici`
  ADD PRIMARY KEY (`IDKorisnika`),
  ADD UNIQUE KEY `TagID` (`TagID`);

--
-- Indexes for table `orgjedinice`
--
ALTER TABLE `orgjedinice`
  ADD PRIMARY KEY (`IDOrgJed`);

--
-- Indexes for table `terminali`
--
ALTER TABLE `terminali`
  ADD PRIMARY KEY (`TerminalID`),
  ADD UNIQUE KEY `Adresa` (`Adresa`);

--
-- AUTO_INCREMENT for dumped tables
--

--
-- AUTO_INCREMENT for table `evidencije`
--
ALTER TABLE `evidencije`
  MODIFY `ID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=222;

--
-- AUTO_INCREMENT for table `korisnici`
--
ALTER TABLE `korisnici`
  MODIFY `IDKorisnika` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=24;

--
-- AUTO_INCREMENT for table `orgjedinice`
--
ALTER TABLE `orgjedinice`
  MODIFY `IDOrgJed` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=3;

--
-- AUTO_INCREMENT for table `terminali`
--
ALTER TABLE `terminali`
  MODIFY `TerminalID` int(11) NOT NULL AUTO_INCREMENT, AUTO_INCREMENT=2;
COMMIT;

/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
